{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}


{% block content %}

  <div class="ui raised segment" style="width: 98%">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}"class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_magazzino', { 'id': ristorante.id })}}" class="section">Magazzino</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Aggiungi a magazzino</div>
    </div>
  </div>

  <h2 class="ui center aligned icon header">
    <i class="circular cubes icon"></i>
    Aggiungi prodotti al magazzino
  </h2>

  <form id="aggiungi-prodotti-magazzino-form" method="post">
    <i class="ui warning sign icon"></i><small><em>Solamente i prodotti selezionati saranno inseriti nel magazzino.</em></small>
    <table class="ui compact celled definition table">
      <thead>
        <tr>
          <th></th>
          <th>Nome</th>
          <th>Categoria</th>
          <th>Descrizione</th>
          <th>Quantità</th>
        </tr>
      </thead>
      <tbody>
        {% for prodotto in prodotti %}
          <tr>
            <td class="collapsing">
              <div class="ui fitted toggle checkbox">
                <input type="checkbox" class="checkbox-prodotti" name="prodotti[]" data-id="{{prodotto.id}}"> <label></label>
              </div>
            </td>
            <td>{{prodotto.nome}}</td>
            <td>{{prodotto.tipo}}</td>
            <td>{{prodotto.descrizione}}</td>
            <td contenteditable="true"></td>
          </tr>
        {% endfor %}
      </tbody>
      <tfoot class="full-width">
        <tr>
          <th></th>
          <th colspan="4">
            <button style="margin: 0; display: inline; float:right" type="submit" class="submit-button ui right floated labeled icon primary button">
              <i class="add icon"></i> Aggiungi al magazzino
            </button>
          </th>
        </tr>
      </tfoot>
    </table>
  </form>

  {% block javascripts %}
    <script src="{{asset('js/magazzinoScript.js')}}"></script>
  {% endblock %}


{% endblock %}
